## node-cross-fetch 3.1.5%2Bds.1

=== debian/changelog ===
node-cross-fetch (3.1.5+ds.1-1) unstable; urgency=medium

  * New upstream release
  * d/patches/package-json.patch: remove patch
  * d/nodejs/install: install src/node-po{l,n}yfill.js
  * d/nodejs/install: install src/react-native-po{l,n}yfill.js

 -- Nicolas Mora <babelouest@debian.org>  Wed, 26 Jan 2022 07:34:08 -0500

node-cross-fetch (3.1.4+ds.1-2) unstable; urgency=medium

  * d/nodejs/test: remove test file content
  * d/patches/package-json.patch: update package.json
    to replace node-ponyfill.js with cross-fetch.js

 -- Nicolas Mora <babelouest@debian.org>  Sun, 28 Nov 2021 17:46:22 -0500

node-cross-fetch (3.1.4+ds.1-1) unstable; urgency=medium

  * Initial release (Closes: #998685)

 -- Nicolas Mora <babelouest@debian.org>  Wed, 17 Nov 2021 08:26:09 -0500

## node-cross-fetch 3.1.5+ds.1

=== Makefile ===
all: test lint typecheck

node_modules: package.json
	npm install && /usr/bin/touch node_modules

build: build-dist build-test

build-dist:
	npx rollup -c

build-test: test/fetch-api/api.spec.js
	npx tsc

browser:
	./bin/server --exec "npx open-cli http://localhost:8000/test/fetch-api/browser/"

commitlint: node_modules
	npx commitlint --from origin/main --to HEAD --verbose

cov:
	npx nyc report --reporter=text-lcov > .reports/coverage.lcov && npx codecov

lint:
	npx standard

release:
	npx standard-version

release-alpha:
	npx standard-version --prerelease alpha

secure:
	npx snyk test

test: test-fetch test-module

test-fetch: test-fetch-browser test-fetch-whatwg test-fetch-node

test-fetch-browser: build
	./test/fetch-api/browser/run.sh

test-fetch-whatwg: build
	./test/fetch-api/whatwg/run.sh

test-fetch-node: build
	./test/fetch-api/node/run.sh

test-module: test-module-web-cjs test-module-web-esm test-module-node-cjs test-module-node-esm test-module-react-native

test-module-web-cjs: build
	./test/module-system/web.cjs/run.sh

test-module-web-esm: build
	./test/module-system/web.esm/run.sh

test-module-node-cjs: build
	./test/module-system/node.cjs/run.sh

test-module-node-esm: build
	./test/module-system/node.esm/run.sh

test-module-react-native: build
	./test/module-system/react-native/run.sh

typecheck:
	npx tsc --lib ES6 --noEmit index.d.ts ./test/fetch-api/api.spec.ts

.PHONY: all build deploy lint test test-fetch test-fetch-browser test-fetch-whatwg test-fetch-node test-module test-module-web-cjs test-module-web-esm test-module-node-cjs test-module-node-esm test-module-react-native typecheck

=== debian/changelog ===
node-cross-fetch (3.1.5+ds.1-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + node-cross-fetch: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 27 Nov 2022 15:28:56 +0000

node-cross-fetch (3.1.5+ds.1-2) unstable; urgency=medium

  * Team upload
  * Update standards version to 4.6.1, no changes needed.
  * Add fix for rollup 3 (Closes: #1022683)

 -- Yadd <yadd@debian.org>  Tue, 25 Oct 2022 10:38:51 +0200

=== debian/control ===
Source: node-cross-fetch
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Nicolas Mora <babelouest@debian.org>
Testsuite: autopkgtest-pkg-nodejs
Build-Depends:
 debhelper-compat (= 13)
 , dh-sequence-nodejs
 , rollup
 , node-rollup-plugin-terser
 , node-whatwg-fetch
Standards-Version: 4.6.1
Homepage: https://github.com/lquixada/cross-fetch
Vcs-Git: https://salsa.debian.org/js-team/node-cross-fetch.git
Vcs-Browser: https://salsa.debian.org/js-team/node-cross-fetch
Rules-Requires-Root: no

Package: node-cross-fetch
Architecture: all
Depends:
 ${misc:Depends}
 , node-whatwg-fetch
Multi-Arch: foreign
Description: Universal WHATWG Fetch API for Node, Browsers and React Native
 The scenario that cross-fetch really shines is when the same JavaScript
 codebase needs to run on different platforms.
  * Platform agnostic: browsers, Node or React Native
  * Optional polyfill: it's up to you if something is going to be added to the
    global object or not
  * Simple interface: no instantiation, no configuration and no extra dependency
  * WHATWG compliant: it works the same way wherever your code runs
  * TypeScript support: better development experience with types.
 .
 Node.js is an event-based server-side JavaScript engine.

## node-cross-fetch 4.0.0%2Bds

=== Makefile ===
.PHONY: all
all: test lint typecheck

.PHONY: clean
clean:
	@rm -Rf node_modules dist

.PHONY: commit
commit:
	npx cz

.PHONY: publish
publish:
	@./bin/publish

.PHONY: version
version:
	npx standard-version

.PHONY: version-alpha
version-alpha:
	npx standard-version --prerelease alpha

.PHONY: server
server:
	@./bin/server --silent --exec "echo Fetch api test suites: http://127.0.0.1:8000/test/fetch-api/"

##
# Builds

node_modules: package.json
	npm install && /usr/bin/touch node_modules

dist: package.json rollup.config.js $(wildcard src/*.js) node_modules
	@echo ""
	@echo "=> make $@"
	@npx rollup -c --bundleConfigAsCjs && /usr/bin/touch dist

test/fetch-api/api.spec.js: test/fetch-api/api.spec.ts
	@echo ""
	@echo "=> make $@"
	@npx tsc


##
# Checks

.PHONY: commitlint
commitlint: node_modules
	npx commitlint --from origin/main --to HEAD --verbose

.PHONY: cov
cov:
	npx nyc report --reporter=text-lcov > .reports/coverage.lcov && npx codecov

.PHONY: lint
lint:
	@echo ""
	@echo "=> make $@"
	@npx standard

.PHONY: secure
secure:
	@echo ""
	@echo "=> make $@"
	@npx snyk test

.PHONY: typecheck
typecheck:
	@echo ""
	@echo "=> make $@"
	@npx tsc --lib ES6 --noEmit index.d.ts ./test/fetch-api/api.spec.ts


##
# Test groups

.PHONY: test
test: | test-browser test-node

.PHONY: test-browser
test-browser: |\
	test-fetch-browser-native \
	test-fetch-browser-whatwg \
  test-fetch-browser-service-worker \
	test-module-web-cjs \
	test-module-web-esm \
	test-module-react-native

.PHONY: test-node
test-node: |\
	test-fetch-node-native \
	test-fetch-node-fetch \
	test-module-node-cjs \
	test-module-node-esm


##
# Test units

.PHONY: test-fetch-browser-native
test-fetch-browser-native: | dist test/fetch-api/api.spec.js
	@echo ""
	@echo "=> make $@"
	@./test/fetch-api/browser/run.sh

.PHONY: test-fetch-browser-whatwg
test-fetch-browser-whatwg: | dist test/fetch-api/api.spec.js
	@echo ""
	@echo "=> make $@"
	@./test/fetch-api/whatwg/run.sh

.PHONY: test-fetch-browser-service-worker
test-fetch-browser-service-worker: dist test/fetch-api/api.spec.js
	@echo ""
	@echo "=> make $@"
	@./test/fetch-api/service-worker/run.sh

.PHONY: test-fetch-node-native
test-fetch-node-native: | dist test/fetch-api/api.spec.js
	@echo ""
	@echo "=> make $@"
	@./test/fetch-api/node/run.sh

.PHONY: test-fetch-node-fetch
test-fetch-node-fetch: | dist test/fetch-api/api.spec.js
	@echo ""
	@echo "=> make $@"
	@./test/fetch-api/node-fetch/run.sh

.PHONY: test-module-web-cjs
test-module-web-cjs: | dist
	@echo ""
	@echo "=> make $@"
	@./test/module-system/web.cjs/run.sh

.PHONY: test-module-web-esm
test-module-web-esm: | dist
	@echo ""
	@echo "=> make $@"
	@./test/module-system/web.esm/run.sh

.PHONY: test-module-node-cjs
test-module-node-cjs: | dist
	@echo ""
	@echo "=> make $@"
	@./test/module-system/node.cjs/run.sh

.PHONY: test-module-node-esm
test-module-node-esm: | dist
	@echo ""
	@echo "=> make $@"
	@./test/module-system/node.esm/run.sh

.PHONY: test-module-react-native
test-module-react-native: | dist
	@echo ""
	@echo "=> make $@"
	@./test/module-system/react-native/run.sh

## node-cross-fetch 4.0.0+ds

=== debian/changelog ===
node-cross-fetch (4.0.0+ds-2build2) noble; urgency=medium

  * Rebuild against newly botstrapped nodejs packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 19 Nov 2023 23:52:44 +0100

node-cross-fetch (4.0.0+ds-2build1) noble; urgency=medium

  * Rebuild against newly botstrapped nodejs packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 19 Nov 2023 22:41:44 +0100

node-cross-fetch (4.0.0+ds-2) unstable; urgency=medium

  * d/rules: Cleanup dist/ on dh_clean (Closes: #1045532)

 -- Nicolas Mora <babelouest@debian.org>  Sat, 18 Nov 2023 10:40:42 -0500

node-cross-fetch (4.0.0+ds-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.6.2, no changes needed.
  * d/patches: Update patches

 -- Nicolas Mora <babelouest@debian.org>  Thu, 16 Nov 2023 07:17:50 -0500

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  , rollup
  , node-rollup-plugin-terser
  , node-whatwg-fetch
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/lquixada/cross-fetch
 Vcs-Git: https://salsa.debian.org/js-team/node-cross-fetch.git
 Vcs-Browser: https://salsa.debian.org/js-team/node-cross-fetch

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_clean:
	rm -rf dist/
	dh_auto_clean --
